import request from '@/utils/request'

// 查询故障报备列表
export function listFault(query) {
  return request({
    url: '/asset/fault/list',
    method: 'get',
    params: query
  })
}

// 查询故障报备详细
export function getFault(id) {
  return request({
    url: '/asset/fault/' + id,
    method: 'get'
  })
}

// 新增故障报备
export function addFault(data) {
  return request({
    url: '/asset/fault',
    method: 'post',
    data: data
  })
}

// 修改故障报备
export function updateFault(data) {
  return request({
    url: '/asset/fault',
    method: 'put',
    data: data
  })
}

// 删除故障报备
export function delFault(id) {
  return request({
    url: '/asset/fault/' + id,
    method: 'delete'
  })
}
